int M1=12;// sens de rotation moteur droit
int M2=13;// sens de rotation moteur gauche

int E1=10;// vitesse du moteur droit sur 10 (pas le choix car shield L298P)
int E2=11;// vitesse du moteur gauche sur 11

// on crée 2 variables qui contrôlent chacune un moteur 0⩽vitesse⩽255
int vitesse1=100; // vitesse1 gère la vitesse du moteur 1
int vitesse2=80; // vitesse1 gère la vitesse du moteur 2

void setup()
{
  pinMode(M1,OUTPUT);//sortie sur moteur 1
  pinMode(M2,OUTPUT);// sortie sur 2

}

void loop()
{

 // le robot avance pendant 4secondes 
  digitalWrite(M1, LOW);  
  digitalWrite(M2, LOW);
  analogWrite(E1,vitesse1);
  analogWrite(E2,vitesse2);
  delay (4000);

 //le robot recule pendant 4secondes 
  digitalWrite(M1, HIGH);  
  digitalWrite(M2, HIGH);
  analogWrite(E1,vitesse1);
  analogWrite(E2,vitesse2);
  delay (4000);
}
